Bug 706253 - python 2.7 doesn't compile on F-14 on arm 5tel due to test_float failure
Summary: python 2.7 doesn't compile on F-14 on arm 5tel due to test_float failure
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: python
Version: 14
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Dave Malcolm
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: ARMTracker
TreeView+ depends on / blocked
 
Reported: 2011-05-19 20:56 UTC by Peter Robinson
Modified: 2011-08-06 18:32 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-05-23 18:04:10 UTC


Attachments (Terms of Use)

Description Peter Robinson 2011-05-19 20:56:16 UTC
When compiling the python that shipped with F-14 (with a a slightly updated spec for valgrind exclusion) we get a test failure in the test_float

The full build logs are available here:
http://arm.koji.fedoraproject.org/koji/getfile?taskID=94277&name=build.log

It looks like this bug here:
http://bugs.python.org/issue8265

If this isn't fixable is it possible to get the test disabled, either for all build or with an exception for the arm platform.

As a side node the current release in fedora 14 mainline x86 has a test ioctl failure (only change on this build was the arm exclude).
http://koji.fedoraproject.org/koji/getfile?taskID=3078441&name=build.log

Comment 1 Dave Malcolm 2011-05-23 17:52:18 UTC
Thanks for looking into this.

I see you fixed this in git with:
http://pkgs.fedoraproject.org/gitweb/?p=python.git;a=commitdiff;h=599d1aa47d600dd4f01f6518fb1c712602723cef

and similar commits to f14 and f15

Koji builds are here:

  python-2.7.1-8.fc16:
    http://koji.fedoraproject.org/koji/buildinfo?buildID=244838

  python-2.7.1-8.fc15:
    http://koji.fedoraproject.org/koji/buildinfo?buildID=244853

  python-2.7-8.fc14.4:
    http://koji.fedoraproject.org/koji/buildinfo?buildID=244297

Does anything further need to happen before this bug can be closed?

Comment 2 Peter Robinson 2011-05-23 18:04:10 UTC
Nope. We're all good. Fixed in rawhide/F-15/F-14


Note You need to log in before you can comment on or make changes to this bug.